<template>
  <div class="user-setting-limit">
    <b>Лимит</b>
    <div class="user-setting-limit__base">
      На какую величину вы можете корректировать базовую цену, чтобы выставить аукцион.
      Не дороже этой цены вы будете искать исполнителей на свой аукцион.
    </div>
    <div
      v-for="(item, index) in limitData"
      :key="index"
      class="user-setting-limit__description"
    >
      <ObInput
          class="user-setting-limit__description-value"
          label="Значение лимита"
          v-model="item.value"
          placeholder="Введите значение"
          icon="icon question"
          subTitle="%"
          @blur="update"
      />
      <div class="user-setting-limit__description-icon">
        <i class="icon alert"/>
        <span>Значение лимита может быть положительным и отрицательным.</span>
      </div>
    </div>
  </div>
</template>

<script>
  import ObInput from "common-components/src/obComponents/obInput";
  import {mapActions, mapGetters} from "vuex";
  export default {
    name: "Limit",
    components: {
      ObInput
    },
    data() {
      return {
        limit: '',
        limitData: []
      }
    },
    computed: {
      ...mapGetters({
        userUuid: 'user/participantUuid',
        settingsType: 'clicarSettings_2/settingsType',
        settings: 'clicarSettings_2/settings'
      })
    },
    methods: {
      ...mapActions({
        getSettings: 'clicarSettings_2/getSettings',
        getSettingsType: 'clicarSettings_2/getSettingsType',
        putSettings: 'clicarSettings_2/putSettings',
        update() {
          this.putSettings().then( () => {
            this.$notification({
              type: 'system_notification_success',
              message: 'Сохранено'
            })
          })
        }
      })
    },
    mounted() {
      this.getSettingsType('LIMIT')
      this.getSettings(this.userUuid).then( () => {
        this.limitData = this.settings.limit
      })
    }
  }
</script>

<style scoped lang="scss">

</style>
